#ifndef MAIN_H
#define MAIN_H
#include "lpc214x.h"

#define FOSC_CPU			( 14745600UL )
#define PLL_M				( 3 )
#define PLL_P				( 2 )
#define FCLK_CPU			( FOSC_CPU*PLL_M )
#define FCLK_PBUS			( FCLK_CPU/PLL_P )
#define PLLCFG_MSEL			( PLL_M - 1 )
#define PLLCFG_PSEL			( ( PLL_P - 1 ) << 5 )
#define PLLCON_PLLE			( 0x1 )
#define PLLCON_PLLC			( 0x2 )
#define PLLSTAT_LOCK		( 1 << 10 )

/* PORT0 */
#define LED_BIT				( 21 )

#define port_bit_set( port,bit )	( port |= ( 1 << bit ) )
#define port_bit_clear( port,bit )	( port &= ~( 1 << bit ) )
#define port_bit_is_set( port,bit )	( port & ( 1 << bit ) )


#endif/*MAIN_H*/
